Page MenuHomePhabricator

Remove mnw from monolingual text list
Closed, ResolvedPublic1 Story Points

Description

Mon (mnw) was unnecessarily added as a language for monolingual text (see T155420) and should be removed again. Mon is now available as an interface language and is therefore automatically usable in monolingual text statements.

Event Timeline

Nikki created this task.Sep 1 2018, 11:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2018, 11:19 AM

This may be the case for more languages in that list. Do you have time to look into that and amend this task to reflect that if necessary?

Nikki added a comment.Sep 4 2018, 5:05 PM

I don't see any more where the codes match.

There is one that doesn't look right though: shy was added in T184783 for monolingual text and the request is clearly for Latin script, but https://translatewiki.net/wiki/Portal:Shy seems to have Arabic script as the default with shy-latn for Latin script. Neither code is in the language-data database. After shy was added for monolingual text, shy-latn was added to Names.php (T196473) because someone said on the first ticket that the code still didn't work for adding labels.

Maybe we need a tracking task for these removing requests too.

Addshore moved this task from incoming to in progress on the Wikidata board.Sep 18 2018, 2:24 PM

Change 461146 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Remove mnw from monolingual text list

https://gerrit.wikimedia.org/r/461146

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 18 2018, 3:37 PM

Change 461146 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove mnw from monolingual text list

https://gerrit.wikimedia.org/r/461146

Addshore triaged this task as Normal priority.Sep 19 2018, 7:02 AM
Lydia_Pintscher closed this task as Resolved.Sep 26 2018, 9:00 AM